> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.umnai.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.umnai.com/_mcp/server.

# Delete data processing onboarding configuration

DELETE https://api.hi.umnai.com/data-processing-onboarding-configurations/{dataProcessingOnboardingConfigurationId}

Delete a data processing onboarding configuration by ID.

Reference: https://docs.umnai.com/api-reference/api-reference/data-onboarding/onboarding-configurations/delete-data-processing-onboarding-configuration

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Umnai SaaS Platform - Operational REST API
  version: 1.0.0
paths:
  /data-processing-onboarding-configurations/{dataProcessingOnboardingConfigurationId}:
    delete:
      operationId: delete-data-processing-onboarding-configuration
      summary: Delete data processing onboarding configuration
      description: Delete a data processing onboarding configuration by ID.
      tags:
        - onboardingConfigurations
      parameters:
        - name: dataProcessingOnboardingConfigurationId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Data processing onboarding configuration successfully deleted.
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '401':
          description: The request requires authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '403':
          description: >-
            The authenticated user does not have permission to access the
            requested resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
        '404':
          description: The requested resource was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '409':
          description: A conflict occurred, such as a duplicate resource.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteDataProcessingOnboardingConfigurationRequestConflictError
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
servers:
  - url: https://api.hi.umnai.com
    description: Umnai SaaS Platform - Operation REST API - Production
components:
  schemas:
    UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          description: A message describing the issue.
      title: UnauthorizedError
    ForbiddenError:
      type: object
      properties:
        message:
          type: string
          description: A message describing the issue.
        error_code:
          type: string
          description: An error code for machine parsing.
      title: ForbiddenError
    NotFoundError:
      type: object
      properties:
        message:
          type: string
          description: A message describing the issue.
        error_code:
          type: string
          description: An error code for machine parsing.
      title: NotFoundError
    ConflictError:
      type: object
      properties:
        message:
          type: string
          description: A message describing the issue.
        error_code:
          type: string
          description: An error code for machine parsing.
      title: ConflictError
    IntegrityErrorDependantsItemsDependantType:
      type: string
      enum:
        - ACCOUNT
        - CATEGORY_FRIENDLY_NAME
        - COMPUTE_CONFIGURATION
        - DATASET
        - DATASOURCE
        - DATA_ANCHOR
        - DATA_ANCHOR_TERM
        - DATA_PROCESSING_INGESTION_CONFIGURATION
        - DATA_PROCESSING_INGESTION_JOB
        - DATA_PROCESSING_ONBOARDING_CONFIGURATION
        - DATA_PROCESSING_ONBOARDING_JOB
        - VIEWS_BATCH_CONFIGURATION
        - VIEWS_BATCH_JOB
        - VIEWS_BATCH
        - DATA_PROTECTED_FIELD
        - DATA_PROTECTION
        - DATA_SCHEMA
        - DATA_SCHEMA_FIELD
        - DEPLOYED_MODEL
        - DEPLOYMENT_CONFIGURATION
        - DIMENSION
        - FRIENDLY_NAME
        - MODEL
        - MODEL_CONSTRAINT
        - MODEL_CONSTRAINT_GROUP
        - NOTIFICATION
        - ORGANISATION
        - STAKEHOLDER
        - STORAGE_CONNECTOR
        - TRAINING_CONFIGURATION
        - TRAINING_JOB
        - UNIT
        - USER
        - USER_ACCOUNT_ASSOCIATION
        - WORKSPACE
      title: IntegrityErrorDependantsItemsDependantType
    IntegrityErrorDependantsItems:
      type: object
      properties:
        id:
          type: string
          description: The ID of the reference.
        name:
          type: string
          description: The name of the reference.
        dependant_type:
          $ref: '#/components/schemas/IntegrityErrorDependantsItemsDependantType'
      required:
        - id
        - dependant_type
      title: IntegrityErrorDependantsItems
    IntegrityError:
      type: object
      properties:
        message:
          type: string
          description: A message describing the issue.
        error_code:
          type: string
          description: An error code for machine parsing.
        dependants:
          type: array
          items:
            $ref: '#/components/schemas/IntegrityErrorDependantsItems'
      title: IntegrityError
    DeleteDataProcessingOnboardingConfigurationRequestConflictError:
      oneOf:
        - $ref: '#/components/schemas/ConflictError'
        - $ref: '#/components/schemas/IntegrityError'
      title: DeleteDataProcessingOnboardingConfigurationRequestConflictError
    InternalServerError:
      type: object
      properties:
        message:
          type: string
          description: A message indicating an internal server error.
        error_reference:
          type: string
          description: A unique reference to the internal server error.
      title: InternalServerError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

```

## Examples



**SDK Code**

```python
import requests

url = "https://api.hi.umnai.com/data-processing-onboarding-configurations/dataProcessingOnboardingConfigurationId"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hi.umnai.com/data-processing-onboarding-configurations/dataProcessingOnboardingConfigurationId';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/data-processing-onboarding-configurations/dataProcessingOnboardingConfigurationId"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/data-processing-onboarding-configurations/dataProcessingOnboardingConfigurationId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.hi.umnai.com/data-processing-onboarding-configurations/dataProcessingOnboardingConfigurationId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.hi.umnai.com/data-processing-onboarding-configurations/dataProcessingOnboardingConfigurationId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/data-processing-onboarding-configurations/dataProcessingOnboardingConfigurationId");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/data-processing-onboarding-configurations/dataProcessingOnboardingConfigurationId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```